Last Comment Bug 670003 - [OS/2] update Yarr files
: [OS/2] update Yarr files
Status: RESOLVED FIXED
tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 OS/2
: -- normal (vote)
: mozilla8
Assigned To: Dave Yeo
:
Mentors:
Depends on:
Blocks: 625600
  Show dependency treegraph
 
Reported: 2011-07-07 14:12 PDT by Walter Meinl
Modified: 2011-07-13 09:01 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 update YARR OS/2 files (5.93 KB, patch)
2011-07-07 14:12 PDT, Walter Meinl
no flags Details | Diff | Review
Update Yarr to work on OS/2 (6.04 KB, patch)
2011-07-09 11:46 PDT, Dave Yeo
no flags Details | Diff | Review
Update Yarr to work on OS/2 (5.96 KB, patch)
2011-07-10 10:58 PDT, Dave Yeo
no flags Details | Diff | Review
Update Yarr to work on OS/2 (5.93 KB, patch)
2011-07-11 22:04 PDT, Dave Yeo
dmandelin: review+
Details | Diff | Review

Description Walter Meinl 2011-07-07 14:12:26 PDT
Created attachment 544617 [details] [diff] [review]
v1 update YARR OS/2 files

Dave has made an initial patch to update Yarr for OS/2
Comment 1 David Mandelin [:dmandelin] 2011-07-08 17:57:36 PDT
Is the patch ready for review?
Comment 2 Dave Yeo 2011-07-08 20:55:26 PDT
(In reply to comment #1)
> Is the patch ready for review?

Testing an updated patch, will ask you for review after testing
Comment 3 Dave Yeo 2011-07-09 11:46:53 PDT
Created attachment 545007 [details] [diff] [review]
Update Yarr to work on OS/2
Comment 4 Dave Yeo 2011-07-10 10:58:15 PDT
Created attachment 545089 [details] [diff] [review]
Update Yarr to work on OS/2

After some feedback from Rich patch updated with better commit and decommit plus a simplification of protection()
Comment 5 David Mandelin [:dmandelin] 2011-07-11 10:16:39 PDT
Comment on attachment 545089 [details] [diff] [review]
Update Yarr to work on OS/2

Review of attachment 545089 [details] [diff] [review]:
-----------------------------------------------------------------

::: js/src/yarr/PageBlock.cpp
@@ +58,5 @@
> +{
> +    return getpagesize();
> +}
> +
> +#elif WTF_OS_OS2

One question: any reason not to just use

  #if (WTF_OS_UNIX && !WTF_OS_SYMBIAN) || WTF_OS_OS2

above?
Comment 6 Dave Yeo 2011-07-11 22:04:59 PDT
Created attachment 545319 [details] [diff] [review]
Update Yarr to work on OS/2

(In reply to comment #5)
> Comment on attachment 545089 [details] [diff] [review] [review]
> Update Yarr to work on OS/2
> 
> Review of attachment 545089 [details] [diff] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: js/src/yarr/PageBlock.cpp
> @@ +58,5 @@
> > +{
> > +    return getpagesize();
> > +}
> > +
> > +#elif WTF_OS_OS2
> 
> One question: any reason not to just use
> 
>   #if (WTF_OS_UNIX && !WTF_OS_SYMBIAN) || WTF_OS_OS2
> 
> above?

I meant to fix this and forgot. Updated patch attached
Comment 7 David Mandelin [:dmandelin] 2011-07-12 08:39:46 PDT
Comment on attachment 545319 [details] [diff] [review]
Update Yarr to work on OS/2

Review of attachment 545319 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 8 Daniel Holbert [:dholbert] 2011-07-12 13:00:17 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/e9245c104f52
Comment 9 Daniel Holbert [:dholbert] 2011-07-12 18:59:16 PDT
(Technically, bugs aren't FIXED until their patches make it into mozilla-central.  That should happen for this bug in the next day or so, at the next merge from mozilla-inbound. Whoever merges mozilla-inbound to mozilla-central will resolve this bug.)
Comment 10 :Ehsan Akhgari (busy, don't ask for review please) 2011-07-13 09:01:37 PDT
http://hg.mozilla.org/mozilla-central/rev/e9245c104f52

Note You need to log in before you can comment on or make changes to this bug.